/***************************************************************************
 *            main-callbacks.h
 *
 *  Sat Jul  9 16:28:21 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

GtkWidget	*main_window;

void
on_main_win_show                       (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_main_win_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_add_book_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_export_data_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_backup_data_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
										
void
on_edit_authors_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
										
void
on_settings_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_main_add_tbut_clicked               (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_main_exit_tbut_clicked              (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_main_search_tbut_clicked            (GtkToolButton   *toolbutton,
                                        gpointer         user_data);
										
void
on_lend_book_togbut_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_book_but_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_rem_book_but_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_tview_cursor_changed           (GtkTreeView     *treeview,
                                        gpointer         user_data);
