/***************************************************************************
 *            settings-fun.h
 *
 *  Sun Jul 10 13:22:45 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>

struct	STRSettings	{
	gboolean	remember;	
	gint		x;
	gint		y;
	
	gboolean	auto_copy;
	gint		frequency;
	gint		next_copy_month;	
} settings;

/*	Funkcje zapisu/odczytu ustawien	*/

gboolean	load_settings_file			(void);

void		save_settings				(void);

/*	Funkcje ladujace ustawienia do programu	*/

void		load_main_win_position		(void);

void		make_security_copy			(void);

/*	Funkcje pobierajace dane z programu	*/

void		get_main_win_position		(void);

/*	Inne funkcje	*/

void		load_settings_dlg			(GtkWidget	*widget);

void		get_settings_from_dlg		(GtkWidget	*widget);

gchar		*convert_gboolean_to_string	(gboolean	variable);
